<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: gg::Attributes Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacegg.html">gg</a></li><li class="navelem"><a class="el" href="classgg_1_1Attributes.html">Attributes</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classgg_1_1Attributes-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">gg::Attributes Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="Attributes_8hpp_source.html">Attributes.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:afad9a1871b7ec801c4c40446a5022bbe"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Attributes.html#afad9a1871b7ec801c4c40446a5022bbe">Attributes</a> ()=default</td></tr>
<tr class="separator:afad9a1871b7ec801c4c40446a5022bbe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0a763b9415d0addc52f108b2febefa1"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Attributes.html#ac0a763b9415d0addc52f108b2febefa1">~Attributes</a> ()=default</td></tr>
<tr class="separator:ac0a763b9415d0addc52f108b2febefa1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f8f053a797c33195cd823bbe91a24a8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Attributes.html#a9f8f053a797c33195cd823bbe91a24a8">Add</a> (const std::string &amp;, const std::string &amp;)</td></tr>
<tr class="separator:a9f8f053a797c33195cd823bbe91a24a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae2128837ba7b64ae153d8b054d32af58"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Attributes.html#ae2128837ba7b64ae153d8b054d32af58">Has</a> (const std::string &amp;) const -&gt; bool</td></tr>
<tr class="separator:ae2128837ba7b64ae153d8b054d32af58"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86612a57ebf30fff909356a0165a712a"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Attributes.html#a86612a57ebf30fff909356a0165a712a">Get</a> (const std::string &amp;) const -&gt; std::string</td></tr>
<tr class="separator:a86612a57ebf30fff909356a0165a712a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44e4ec4f45130e843b036c764c9effff"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:a44e4ec4f45130e843b036c764c9effff"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classgg_1_1Attributes.html#a44e4ec4f45130e843b036c764c9effff">Get</a> (const std::string &amp;) const -&gt; T</td></tr>
<tr class="separator:a44e4ec4f45130e843b036c764c9effff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad955fb8678355b77c60907fe41f754e9"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Attributes.html#ad955fb8678355b77c60907fe41f754e9">GetLibrary</a> () const -&gt; const std::map&lt; std::string, std::string &gt;</td></tr>
<tr class="separator:ad955fb8678355b77c60907fe41f754e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac496caf3931b8885961264bf2015024"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Attributes.html#aac496caf3931b8885961264bf2015024">SetLibrary</a> (std::map&lt; std::string, std::string &gt; &amp;new_attr_library)</td></tr>
<tr class="separator:aac496caf3931b8885961264bf2015024"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a40b7be607ea51e4fdcc7ab7237a46e"><td class="memItemLeft" align="right" valign="top">template&lt;&gt; </td></tr>
<tr class="memitem:a8a40b7be607ea51e4fdcc7ab7237a46e"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classgg_1_1Attributes.html#a8a40b7be607ea51e4fdcc7ab7237a46e">Get</a> (const std::string &amp;) const -&gt; bool</td></tr>
<tr class="separator:a8a40b7be607ea51e4fdcc7ab7237a46e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="afad9a1871b7ec801c4c40446a5022bbe" name="afad9a1871b7ec801c4c40446a5022bbe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afad9a1871b7ec801c4c40446a5022bbe">&#9670;&nbsp;</a></span>Attributes()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">gg::Attributes::Attributes </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac0a763b9415d0addc52f108b2febefa1" name="ac0a763b9415d0addc52f108b2febefa1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac0a763b9415d0addc52f108b2febefa1">&#9670;&nbsp;</a></span>~Attributes()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual gg::Attributes::~Attributes </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a9f8f053a797c33195cd823bbe91a24a8" name="a9f8f053a797c33195cd823bbe91a24a8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9f8f053a797c33195cd823bbe91a24a8">&#9670;&nbsp;</a></span>Add()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Attributes::Add </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8a40b7be607ea51e4fdcc7ab7237a46e" name="a8a40b7be607ea51e4fdcc7ab7237a46e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8a40b7be607ea51e4fdcc7ab7237a46e">&#9670;&nbsp;</a></span>Get() <span class="overload">[1/3]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">auto gg::Attributes::Get </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt;  bool</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a86612a57ebf30fff909356a0165a712a" name="a86612a57ebf30fff909356a0165a712a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a86612a57ebf30fff909356a0165a712a">&#9670;&nbsp;</a></span>Get() <span class="overload">[2/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::Attributes::Get </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt;  std::string</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a44e4ec4f45130e843b036c764c9effff" name="a44e4ec4f45130e843b036c764c9effff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a44e4ec4f45130e843b036c764c9effff">&#9670;&nbsp;</a></span>Get() <span class="overload">[3/3]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">auto gg::Attributes::Get </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt;  T</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad955fb8678355b77c60907fe41f754e9" name="ad955fb8678355b77c60907fe41f754e9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad955fb8678355b77c60907fe41f754e9">&#9670;&nbsp;</a></span>GetLibrary()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::Attributes::GetLibrary </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt;  const std::map&lt; std::string, std::string &gt;</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae2128837ba7b64ae153d8b054d32af58" name="ae2128837ba7b64ae153d8b054d32af58"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae2128837ba7b64ae153d8b054d32af58">&#9670;&nbsp;</a></span>Has()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::Attributes::Has </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt;  bool</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aac496caf3931b8885961264bf2015024" name="aac496caf3931b8885961264bf2015024"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aac496caf3931b8885961264bf2015024">&#9670;&nbsp;</a></span>SetLibrary()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Attributes::SetLibrary </td>
          <td>(</td>
          <td class="paramtype">std::map&lt; std::string, std::string &gt; &amp;&#160;</td>
          <td class="paramname"><em>new_attr_library</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/resources/<a class="el" href="Attributes_8hpp_source.html">Attributes.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
